%define major 0
%define libname %mklibname xfprint %{major}

Summary:	Print dialog and printer manager for Xfce
Name:		xfprint
Version:	4.4.1
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0: 	%{name}-%{version}.tar.bz2
Requires:	a2ps 
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	a2ps
Buildrequires:	cups-devel 
BuildRequires:	cups-common
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfprint contains a print dialog and a printer manager for Xfce.

%package -n %{libname}
Summary:	Libraries for the Xfce Printer Manager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for the Xfce Printer Manager.

%package -n %{libname}-devel
Summary:	Libraries and header files for the Xfce Printer Manager
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	xfprint-devel

%description -n %{libname}-devel
Libraries and header files for the Xfce Printer Manager.

%prep
%setup -q

%configure2_5x \
	--enable-letter \
	--enable-cups

%install
rm -rf %{buildroot}
%makeinstall_std 

# remove unneeded devel files
rm -f %{buildroot}%{_libdir}/xfce4/xfprint-plugins/*.*a 
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.*a

# disable rpath
chrpath -d %{buildroot}/%{_libdir}/xfce4/xfprint-plugins/*

%find_lang %{name}

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration-Printing" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/* 
%{_libdir}/xfce4/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/* 
%{_datadir}/xfce4/doc/*
%{_datadir}/gtk-doc/html/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/xfprint-1.0.pc
%{_libdir}/libxfprint.*a
%{_libdir}/libxfprint.so
%dir %{_includedir}/xfce4/libxfprint
%{_includedir}/xfce4/libxfprint/*


%changelog
* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32889
- drop __libtoolize
- tune up desktop file
- enable cups
- use macros in %%post and %%postun
- spec file clean

* Mon Apr 23 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 17607
- New release 4.4.1


* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 4.4.0-2mdv2007.0
+ Revision: 116264
- fix script errors

* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112329
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96249
- Fix specs file
- New release 4.3.99.2
- Import xfprint

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sun Jul 09 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.1-2mdv2007.0
- rebuild

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.r20246.1mdk
- svn r20246
- add libpackages

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.r19739.1mdk
- 4.3.0 from svn r19739
- don't run libtoolize
- disable rpath

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 4.2.2-3mdk
- rebuild for new cups and gnutls (instead of openssl)

* Thu Jun 02 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- buildrequires cups-common for lpr

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- requires desktop-common-data
- update filelist

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final
- add desktop files

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-mcs-manager-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- drop libpackages, update filelist
- buildrequires cups-devel

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

